## javax.faces.component
Interface StateHolder

All Known Implementing Classes:
  DateTimeConverter, DoubleRangeValidator, LengthValidator, LongRangeValidator, NumberConverter, UIComponent

public interface StateHolder

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Method Summary
`boolean` `isTransient()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setTransient(boolean newTransientValue)`

Method Detail

### saveState

    public java.lang.Object saveState(FacesContext context)

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

### isTransient

    public boolean isTransient()

### setTransient

    public void setTransient(boolean newTransientValue)